İçeriğe geç

Cosmos Predict 2.5 2B Distilled

Entegre et

Model kimliği cosmos-predict-2.5/distilled/text-to-video
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/cosmos-predict-2.5/distilled/text-to-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Bu istek: $0,08 80 API kredisi · ≈ ₽8,59 Bu sayfada çalıştır

API anahtarı al
NVIDIA Metinden Videoya Hızlı

Az sayıda gürültü giderme adımıyla, 20'ye kadar çalışan damıtılmış 2B Cosmos metinden videoya

NVIDIA · Video

İlk sonucunuz burada görünecek

Aşağıda bir istek oluşturun ve API anahtarınızla çalıştırın. Çıktılar depolamamıza kopyalanır ve sonsuza kadar veya ücretsiz olarak 7 gün boyunca saklanır.

İstek oluştur

Kontroller model şemasından oluşturulur. Değerleri değiştirdikçe kod ve fiyat güncellenir.

•gerekli

İstenen videonun metin açıklaması.

Gelişmiş negative_prompt · video_output_type · video_quality · num_frames · num_inference_steps · seed · enable_safety_checker
varsayılan The video captures a ...

Üretimi uzaklaştırmak için istenmeyen içeriği belirten negatif istem.

video_output_type varsayılan X264 (.mp4)

Ortaya çıkan videonun biçimi.

video_quality varsayılan high

Ortaya çıkan videonun kalite ayarı.

varsayılan 93

Üretim için kare sayısı; 9 ile 93 arasındadır.

varsayılan 10

Gürültü giderme adım sayısı. Damıtılmış model daha az adımla bile iyi sonuç verir.

Üretimi tekrarlanabilir kılan rastgele seed.

POST /run/cosmos-predict-2.5/distilled/text-to-video?wait=20 fiyat → $0,08
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/cosmos-predict-2.5/distilled/text-to-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Bu isteği çalıştır

Anahtarınız bu tarayıcıda kalır: yalnızca Doitong API'ye gönderilir ve yalnızca Hatırla seçeneğini işaretlerseniz localStorage'a kaydedilir. API anahtarı al

Cosmos Predict 2.5 2B Distilled hakkında

Varsayılan olarak 10 adım (en fazla 20) kullanan damıtılmış Cosmos Predict 2.5 2B modeliyle bir metin `prompt` değerinden video üretir. `num_frames` 9 ila 93 arasındadır. Çıktı X264 mp4, VP9 webm, ProRes 4444 mov veya GIF olabilir; `video_quality` low ile maximum arasındadır.

Parametreler

AdTür Varsayılanİzin verilen Açıklama
promptgerekli
Türstring
İstenen videonun metin açıklaması.
negative_promptisteğe bağlı
Türstring
VarsayılanThe video captures a series of frames showing ugly scenes, static with no motion, motion blur, over-saturation, shaky footage, low resolution, grainy texture, pixelated images, poorly lit areas, underexposed and overexposed scenes, poor color balance, washed out colors, choppy sequences, jerky movements, low frame rate, artifacting, color banding, unnatural transitions, outdated special effects, fake elements, unconvincing visuals, poorly edited content, jump cuts, visual noise, and flickering. Overall, the video is of poor quality.
Üretimi uzaklaştırmak için istenmeyen içeriği belirten negatif istem.
num_framesisteğe bağlı
Türinteger
Varsayılan93
9 – 93
Üretim için kare sayısı; 9 ile 93 arasındadır.
num_inference_stepsisteğe bağlı
Türinteger
Varsayılan10
1 – 20
Gürültü giderme adım sayısı. Damıtılmış model daha az adımla bile iyi sonuç verir.
seedisteğe bağlı
Türinteger | null
Üretimi tekrarlanabilir kılan rastgele seed.
video_output_typeisteğe bağlı
Türenum
VarsayılanX264 (.mp4)
X264 (.mp4)VP9 (.webm)PRORES4444 (.mov)GIF (.gif)
Ortaya çıkan videonun biçimi.
video_qualityisteğe bağlı
Türenum
Varsayılanhigh
lowmediumhighmaximum
Ortaya çıkan videonun kalite ayarı.
enable_safety_checkeristeğe bağlı
Türboolean
Varsayılantrue
Çağıran yetkiliyse false ayarlanarak tarama gevşetilebilir.
gerekli

Çıktı

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "cosmos-predict-2.5/distilled/text-to-video",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 80,
    "usd": "0.08",
    "charged": 80,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "fps": 1.0,
      "duration": 5,
      "num_frames": 1
    },
    "seed": 42
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
Dosyalarınız, seçiminizHer outputs[].url, depolamamızdaki bir kopyadır: sonsuza kadar (GB-ay başına ücretli) veya ücretsiz olarak 7 gün boyunca, hesap ayarınızla ya da ?storage= ile saklanır.
Her modelde aynı yapıGörüntüler, video ve ses için type, url, content_type, width, height ve duration aynıdır. output, modelin kendi sonuç nesnesidir.
Çıktı alanları
video
object {url, content_type, file_name, file_size, width, height, fps, duration, num_frames}Üretimle oluşturulan video dosyası.
seed
integerÜretim sırasındaki rastgeleliği denetleyen tohum.

Daha fazla model: Metinden Videoya

AI aracıları için: bu sayfanın Markdown biçimi şurada: https://doitong.com/tr/developers/models/cosmos-predict-2.5/distilled/text-to-video.md. Tüm modeller ve kılavuzlar: https://doitong.com/developers/llms.txt